Bug 130219 - Massive update to py-sip, py-qt, qscintilla2 ports is required for upcoming kde4.2 release
Massive update to py-sip, py-qt, qscintilla2 ports is required for upcoming k...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 04:00 UTC by fluffy
Modified: 2009-02-14 23:17 UTC (History)
0 users

See Also:


Attachments
py-sip.diff (74.42 KB, patch)
2009-01-06 04:00 UTC, fluffy
no flags Details | Diff
file.diff (8.76 KB, patch)
2009-01-06 04:00 UTC, fluffy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fluffy 2009-01-06 04:00:08 UTC

Massive update to py-sip, py-qt, qscintilla2 ports is required for upcoming kde4.2 release

This patchset contains two new ports:
www/py-qt4-webkit
textproc/py-qt4-xmlpatterns
Comment 1 Martin Wilke freebsd_committer 2009-01-06 05:22:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2009-01-18 10:31:52 UTC
Responsible Changed
From-To: miwi->makc

please take a look here.
Comment 3 Max Brazhnikov freebsd_committer 2009-01-22 23:58:09 UTC
Hi Danny,

Could you approve this update?

Cheers,
Max
Comment 4 Max Brazhnikov freebsd_committer 2009-02-13 22:04:52 UTC
State Changed
From-To: open->patched

Updated in area51 repo.
Comment 5 dfilter freebsd_committer 2009-02-14 22:59:08 UTC
makc        2009-02-14 22:58:55 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.qt.mk 
    databases/py-qt4-sql Makefile distinfo pkg-plist 
    devel                Makefile 
    devel/py-qt4-assistant Makefile distinfo pkg-plist 
    devel/py-qt4-core    Makefile distinfo pkg-plist 
    devel/py-qt4-core/files Qt.py patch-configure.py 
    devel/py-qt4-dbus    Makefile distinfo 
    devel/py-qt4-designer Makefile distinfo pkg-plist 
    devel/py-qt4-designerplugin Makefile distinfo pkg-plist 
    devel/py-qt4-qscintilla2 Makefile distinfo pkg-plist 
    devel/py-qt4-script  Makefile distinfo pkg-plist 
    devel/py-qt4-test    Makefile distinfo pkg-plist 
    devel/py-sip         Makefile distinfo pkg-plist 
    devel/py-sip/files   bsd.pyqt.mk 
    devel/qscintilla2    Makefile distinfo pkg-plist 
    devel/qscintilla2-designerplugin Makefile distinfo pkg-plist 
    graphics/py-qt4-svg  Makefile distinfo pkg-plist 
    misc/py-qt4-demo     Makefile distinfo pkg-plist 
    misc/py-qt4-doc      Makefile distinfo pkg-plist 
    multimedia           Makefile 
    net/py-qt4-network   Makefile distinfo pkg-plist 
    textproc             Makefile 
    textproc/py-qt4-xml  Makefile distinfo pkg-plist 
    www                  Makefile 
    x11/py-qt4-opengl    Makefile distinfo pkg-plist 
    x11-toolkits/py-kde  Makefile distinfo 
    x11-toolkits/py-qt   Makefile distinfo 
    x11-toolkits/py-qt4-gui Makefile distinfo pkg-plist 
    x11-toolkits/qscintilla Makefile 
  Added files:
    devel/py-qt4-help    Makefile distinfo pkg-descr pkg-plist 
    multimedia/py-qt4-phonon Makefile distinfo pkg-descr pkg-plist 
    textproc/py-qt4-xmlpatterns Makefile distinfo pkg-descr 
                                pkg-plist 
    www/py-qt4-webkit    Makefile distinfo pkg-descr pkg-plist 
  Removed files:
    devel/py-qt4-qscintilla2/files Makefile.in 
  Log:
  Update PyQt4 ports to 4.4.4, new ports:
  devel/py-qt4-help
  multimedia/py-qt4-phonon
  textproc/py-qt4-xmlpatterns
  www/py-qt4-webkit
  
  Update QScintilla2 to 2.3.2, PyQt3 to 3.17.6, PyKDE3 to 3.16.2.
  
  Pass maintainership to kde@FreeBSD.org. Thanks Danny Ricin for his great work.
  
  PR:             based on ports/130219
  Submitted by:   Dima Panov" <fluffy at fluffy.khv.ru>
  
  Revision  Changes    Path
  1.12      +7 -1      ports/Mk/bsd.qt.mk
  1.9       +11 -15    ports/databases/py-qt4-sql/Makefile
  1.6       +3 -3      ports/databases/py-qt4-sql/distinfo
  1.3       +17 -19    ports/databases/py-qt4-sql/pkg-plist
  1.3367    +1 -0      ports/devel/Makefile
  1.9       +12 -16    ports/devel/py-qt4-assistant/Makefile
  1.6       +3 -3      ports/devel/py-qt4-assistant/distinfo
  1.3       +5 -7      ports/devel/py-qt4-assistant/pkg-plist
  1.9       +14 -18    ports/devel/py-qt4-core/Makefile
  1.6       +3 -3      ports/devel/py-qt4-core/distinfo
  1.2       +16 -0     ports/devel/py-qt4-core/files/Qt.py
  1.6       +28 -27    ports/devel/py-qt4-core/files/patch-configure.py
  1.4       +84 -73    ports/devel/py-qt4-core/pkg-plist
  1.10      +7 -8      ports/devel/py-qt4-dbus/Makefile
  1.6       +3 -3      ports/devel/py-qt4-dbus/distinfo
  1.8       +14 -17    ports/devel/py-qt4-designer/Makefile
  1.6       +3 -3      ports/devel/py-qt4-designer/distinfo
  1.3       +28 -30    ports/devel/py-qt4-designer/pkg-plist
  1.9       +10 -11    ports/devel/py-qt4-designerplugin/Makefile
  1.6       +3 -3      ports/devel/py-qt4-designerplugin/distinfo
  1.3       +4 -4      ports/devel/py-qt4-designerplugin/pkg-plist
  1.1       +79 -0     ports/devel/py-qt4-help/Makefile (new)
  1.1       +3 -0      ports/devel/py-qt4-help/distinfo (new)
  1.1       +4 -0      ports/devel/py-qt4-help/pkg-descr (new)
  1.1       +12 -0     ports/devel/py-qt4-help/pkg-plist (new)
  1.10      +9 -20     ports/devel/py-qt4-qscintilla2/Makefile
  1.5       +3 -3      ports/devel/py-qt4-qscintilla2/distinfo
  1.3       +0 -122    ports/devel/py-qt4-qscintilla2/files/Makefile.in (dead)
  1.4       +46 -40    ports/devel/py-qt4-qscintilla2/pkg-plist
  1.6       +12 -16    ports/devel/py-qt4-script/Makefile
  1.4       +3 -3      ports/devel/py-qt4-script/distinfo
  1.2       +13 -10    ports/devel/py-qt4-script/pkg-plist
  1.9       +12 -16    ports/devel/py-qt4-test/Makefile
  1.6       +3 -3      ports/devel/py-qt4-test/distinfo
  1.2       +8 -11     ports/devel/py-qt4-test/pkg-plist
  1.40      +5 -5      ports/devel/py-sip/Makefile
  1.28      +3 -3      ports/devel/py-sip/distinfo
  1.4       +13 -15    ports/devel/py-sip/files/bsd.pyqt.mk
  1.15      +5 -6      ports/devel/py-sip/pkg-plist
  1.7       +18 -8     ports/devel/qscintilla2-designerplugin/Makefile
  1.5       +3 -3      ports/devel/qscintilla2-designerplugin/distinfo
  1.3       +3 -3      ports/devel/qscintilla2-designerplugin/pkg-plist
  1.10      +26 -38    ports/devel/qscintilla2/Makefile
  1.5       +3 -3      ports/devel/qscintilla2/distinfo
  1.8       +83 -51    ports/devel/qscintilla2/pkg-plist
  1.9       +12 -16    ports/graphics/py-qt4-svg/Makefile
  1.6       +3 -3      ports/graphics/py-qt4-svg/distinfo
  1.3       +8 -10     ports/graphics/py-qt4-svg/pkg-plist
  1.9       +10 -9     ports/misc/py-qt4-demo/Makefile
  1.6       +3 -3      ports/misc/py-qt4-demo/distinfo
  1.6       +160 -81   ports/misc/py-qt4-demo/pkg-plist
  1.7       +5 -6      ports/misc/py-qt4-doc/Makefile
  1.6       +3 -3      ports/misc/py-qt4-doc/distinfo
  1.6       +136 -11   ports/misc/py-qt4-doc/pkg-plist
  1.301     +1 -0      ports/multimedia/Makefile
  1.1       +79 -0     ports/multimedia/py-qt4-phonon/Makefile (new)
  1.1       +3 -0      ports/multimedia/py-qt4-phonon/distinfo (new)
  1.1       +4 -0      ports/multimedia/py-qt4-phonon/pkg-descr (new)
  1.1       +23 -0     ports/multimedia/py-qt4-phonon/pkg-plist (new)
  1.9       +12 -16    ports/net/py-qt4-network/Makefile
  1.6       +3 -3      ports/net/py-qt4-network/distinfo
  1.3       +29 -24    ports/net/py-qt4-network/pkg-plist
  1.1305    +1 -0      ports/textproc/Makefile
  1.9       +12 -16    ports/textproc/py-qt4-xml/Makefile
  1.6       +3 -3      ports/textproc/py-qt4-xml/distinfo
  1.3       +7 -9      ports/textproc/py-qt4-xml/pkg-plist
  1.1       +78 -0     ports/textproc/py-qt4-xmlpatterns/Makefile (new)
  1.1       +3 -0      ports/textproc/py-qt4-xmlpatterns/distinfo (new)
  1.1       +4 -0      ports/textproc/py-qt4-xmlpatterns/pkg-descr (new)
  1.1       +17 -0     ports/textproc/py-qt4-xmlpatterns/pkg-plist (new)
  1.2263    +1 -0      ports/www/Makefile
  1.1       +78 -0     ports/www/py-qt4-webkit/Makefile (new)
  1.1       +3 -0      ports/www/py-qt4-webkit/distinfo (new)
  1.1       +4 -0      ports/www/py-qt4-webkit/pkg-descr (new)
  1.1       +12 -0     ports/www/py-qt4-webkit/pkg-plist (new)
  1.51      +1 -3      ports/x11-toolkits/py-kde/Makefile
  1.17      +3 -3      ports/x11-toolkits/py-kde/distinfo
  1.55      +1 -2      ports/x11-toolkits/py-qt/Makefile
  1.31      +3 -3      ports/x11-toolkits/py-qt/distinfo
  1.10      +12 -16    ports/x11-toolkits/py-qt4-gui/Makefile
  1.6       +3 -3      ports/x11-toolkits/py-qt4-gui/distinfo
  1.3       +182 -170  ports/x11-toolkits/py-qt4-gui/pkg-plist
  1.23      +1 -1      ports/x11-toolkits/qscintilla/Makefile
  1.10      +12 -16    ports/x11/py-qt4-opengl/Makefile
  1.6       +3 -3      ports/x11/py-qt4-opengl/distinfo
  1.3       +8 -10     ports/x11/py-qt4-opengl/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Max Brazhnikov freebsd_committer 2009-02-14 23:16:59 UTC
State Changed
From-To: patched->closed

Committed. Thanks!